#!/bin/sh
#Convert L1C Products to L2A
INPUTDIR=$1	#Top directory with a L1C Subirectory
#OUTPUTDIR=$3	#L2A directory

echo $PWD
echo $OLDPWD
echo $INPUTDIR
cd $INPUTDIR/L1C
for f in $(find . -type f -name '*.zip')
do
	if [ ! -d ../L2A ]; then
		mkdir ../L2A
	fi

	unzip ../L1C/$f
	filename=$(echo $f | cut -d "." -f1)
	L2A_Process $filename.SAFE

	rm -r *.SAFE
done


